<html><head>
<meta charset="utf-8"/>
<meta content="width=device-width,initial-scale=1" name="viewport"/>
<link href="https://gnmaindev.wpengine.com/guides/netterrain-91-collector/" rel="canonical"/>
<link href="file:///Users/martinkoen/Documents/Trabajos/Graphical%20Networks/MKDOCS/collector-guide-91/docs/site/assets/images/favicon.png" rel="icon"/>
<meta content="mkdocs-1.3.0, mkdocs-material-8.2.15" name="generator"/>
<title>netTerrain 9.1 Collector Guide</title>
<link href="file:///Users/martinkoen/Documents/Trabajos/Graphical%20Networks/MKDOCS/collector-guide-91/docs/site/assets/stylesheets/main.c382b1dc.min.css" rel="stylesheet"/>
<link href="file:///Users/martinkoen/Documents/Trabajos/Graphical%20Networks/MKDOCS/collector-guide-91/docs/site/assets/stylesheets/palette.cc9b2e1e.min.css" rel="stylesheet"/>
<link href="file:///Users/martinkoen/Documents/Trabajos/Graphical%20Networks/MKDOCS/collector-guide-91/docs/site/assets/stylesheets/styles.css" rel="stylesheet"/>
<link crossorigin="" href="https://fonts.gstatic.com" rel="preconnect"/>
<link href="https://fonts.googleapis.com/css?family=Roboto:300,300i,400,400i,700,700i%7CRoboto+Mono:400,400i,700,700i&amp;display=fallback" rel="stylesheet"/>
<style>:root{--md-text-font:"Roboto";--md-code-font:"Roboto Mono"}</style>
<script>__md_scope=new URL(".",location),__md_get=(e,_=localStorage,t=__md_scope)=>JSON.parse(_.getItem(t.pathname+"."+e)),__md_set=(e,_,t=localStorage,a=__md_scope)=>{try{t.setItem(a.pathname+"."+e,JSON.stringify(_))}catch(e){}}</script>
<style>:root {
  string-set: author '', copyright '', title 'netTerrain 9.1 Collector Guide'; }

h1, h2, h3 {
  string-set: chapter content(); }
@page {
  size: a4 portrait;
  margin: 25mm 10mm 25mm 10mm;
  counter-increment: page;
  white-space: pre;
  color: grey;
  @top-right {
    font-size: 7pt;
    content: string(chapter); }
  @bottom-center {
    font-size: 8pt;
    content: "- " counter(page) "/" counter(pages) " -"; }
  @bottom-right {
    font-size: 6pt;
    content: string(copyright); } }

@media print {
  body {
    background: none;
    background-color: #fff; } }

article,
section + section {
  page-break-before: always;
  min-height: 100vh;
  /* Defining all page breaks */ }
  article,
  article h1,
  article h2,
  article h3,
  article h4,
  article h5,
  article h6,
  article div.tabbed-content--wrap > .tabbed-content,
  section + section,
  section + section h1,
  section + section h2,
  section + section h3,
  section + section h4,
  section + section h5,
  section + section h6,
  section + section div.tabbed-content--wrap > .tabbed-content {
    clear: both; }
  article h1,
  article h2,
  article h3,
  article h4,
  article h5,
  article h6,
  article img,
  section + section h1,
  section + section h2,
  section + section h3,
  section + section h4,
  section + section h5,
  section + section h6,
  section + section img {
    page-break-after: avoid;
    page-break-inside: avoid; }
  article a,
  article blockquote,
  article table,
  article ul,
  article ol,
  section + section a,
  section + section blockquote,
  section + section table,
  section + section ul,
  section + section ol {
    page-break-before: avoid;
    page-break-inside: avoid; }
  article pre,
  article dt + dd,
  section + section pre,
  section + section dt + dd {
    page-break-before: avoid; }
  article h1 + ul,
  article h2 + ul,
  article h3 + ul,
  article h4 + ul,
  article h5 + ul,
  article h6 + ul,
  article h1 + ol,
  article h2 + ol,
  article h3 + ol,
  article h4 + ol,
  article h5 + ol,
  article h6 + ol,
  section + section h1 + ul,
  section + section h2 + ul,
  section + section h3 + ul,
  section + section h4 + ul,
  section + section h5 + ul,
  section + section h6 + ul,
  section + section h1 + ol,
  section + section h2 + ol,
  section + section h3 + ol,
  section + section h4 + ol,
  section + section h5 + ol,
  section + section h6 + ol {
    page-break-inside: auto; }
  article div.admonition,
  section + section div.admonition {
    page-break-inside: avoid; }
  article div.tabbed-content--wrap,
  section + section div.tabbed-content--wrap {
    page-break-inside: avoid; }
  article * + div.highlight,
  article * + div.tabbed-set,
  section + section * + div.highlight,
  section + section * + div.tabbed-set {
    page-break-before: avoid; }

section.two-columns {
  columns: 2;
  column-gap: 1cm; }

article h1 {
  border-bottom: 2px solid #f00; }

article h2 {
  border-bottom: 1px solid #f99; }

article h3 {
  border-bottom: 0.5px solid #eee; }

article h1 > .pdf-order,
article h2 > .pdf-order,
article h3 > .pdf-order {
  padding-left: 6px; }

article#doc-toc {
  margin: 0 .8rem 1.2rem;
  padding-top: .6rem;
  font-size: 12pt;
  line-height: 1.6; }
  article#doc-toc > h1 {
    margin: 0 0 2rem;
    color: rgba(0, 0, 0, 0.54);
    font-size: 1.2rem;
    font-weight: 300;
    letter-spacing: -.01em;
    page-break-after: auto;
    page-break-inside: auto;
    bookmark-level: none; }
    article#doc-toc > h1::before {
      display: block;
      margin-top: -9px;
      padding-top: 9px;
      content: ""; }
  article#doc-toc ul {
    list-style: none;
    padding-left: 0;
    margin-left: 1em;
    font-size: 8pt;
    page-break-inside: auto !important; }
  article#doc-toc li {
    list-style: none; }
    article#doc-toc li > a {
      color: inherit;
      text-decoration: none;
      padding-top: 0.4rem;
      border-bottom: 1px dotted #ddd;
      display: inline-block;
      width: 100%; }
      article#doc-toc li > a > .pdf-order {
        padding-right: 0.5em; }
      article#doc-toc li > a::after {
        float: right;
        content: target-counter(attr(href), page); }

@media print {
  html {
    font-size: 95%;
    font-family: 'Kelmscott Roman NF', 'Noto Serif JP', serif; }
  body {
    font-size: 10.5pt;
    font-family: 'Classico URW T OT', 'Noto Serif JP', serif; }
  article {
    font-size: 0.8rem;
    line-height: 1.6; }
  h1,
  h2,
  h3,
  h4,
  h5,
  h6,
  label {
    font-family: 'Gentium Book Basic', 'Helvetica Neue', Helvetica, Arial, 'Noto Sans JP', 'Roboto', sans-serif; }
  pre,
  code,
  var,
  samp,
  kbd,
  tt {
    font-family: 'Noto Sans Mono CJK JP', 'Courier New', monospace, serif;
    font-size: 0.8em; }
  pre code,
  pre var,
  pre samp,
  pre kbd,
  pre tt {
    font-size: 100%; } }
@page :first {
  @top-right {
    content: normal; }
  @bottom-center {
    content: normal; }
  @bottom-right {
    content: normal; } }

article#doc-cover {
  display: flex;
  flex-direction: column;
  height: 100vh; }
  article#doc-cover > .wrapper {
    flex: 1 0 auto;
    text-align: center;
    padding: 0 3rem; }
    article#doc-cover > .wrapper.upper {
      flex: 1 1 auto;
      max-height: 30vh; }
      article#doc-cover > .wrapper.upper > .logo {
        width: 100%;
        height: 100%;
        background-position: center bottom;
        background-repeat: no-repeat;
        background-size: contain; }
    article#doc-cover > .wrapper h1 {
      font-size: 36pt;
      line-height: 1.4; }
    article#doc-cover > .wrapper h2 {
      border: none;
      bookmark-level: none; }
  article#doc-cover > .properties {
    flex: 0 0 auto;
    text-align: right;
    padding: 0 2rem; }
    article#doc-cover > .properties p#copyright {
      font-size: 80%; }

article#doc-back_cover {
  page: back_cover;
  height: 100vh;
  display: flex;
  flex-direction: column;
  text-align: center; }
  article#doc-back_cover .wrapper {
    flex: 1 0 auto;
    display: inline-block;
    background: #eee; }
  article#doc-back_cover .qrcode {
    display: inline-block;
    flex: 0 0 auto;
    background: #eee; }
    article#doc-back_cover .qrcode > a {
      display: inline-block;
      padding: 0.5em 2em;
      border-radius: 1em;
      background-color: #fff; }
      article#doc-back_cover .qrcode > a img {
        width: 100%;
        height: auto; }

@page back_cover {
  background-color: #eee;
  @top-right {
    content: normal; }
  @bottom-center {
    content: normal; }
  @bottom-left {
    font-size: 8pt;
    content: string(title); }
  @bottom-right {
    font-size: 8pt;
    content: string(copyright); } }
@page {
  size: letter portrait;
  --brand-color: #C5001B;
  --text-color: #000000;
  font-family: Roboto;
  margin: 25mm 25mm 25mm 25mm;
  @top-right {
    font-size: 8pt;
    font-weight: 300;
    display: none !important;
    content: '' !important; }
  @bottom-center {
    display: none !important;
    content: '' !important; }
  @bottom-right {
    font-size: 8pt;
    font-weight: 300;
    content: "" counter(page) "/" counter(pages) ""; }
  @bottom-left {
    font-size: 8pt;
    font-weight: 300;
    content: string(chapter); } }

body {
  font-family: Roboto; }

img {
  max-width: 100% !important; }

.img-cover {
  display: block;
  margin-top: -30px;
  margin-left: -15mm;
  margin-right: -15mm; }

article h1 {
  color: var(--brand-color) !important;
  border: none !important;
  font-size: 28px !important;
  font-weight: 700 !important; }

h2 {
  color: var(--text-color);
  border: none !important;
  font-size: 18pt !important;
  font-weight: 700 !important; }

article h3 {
  border: none; }

h3 {
  color: var(--text-color);
  border: none;
  font-size: 14pt !important;
  font-weight: 600 !important; }

article h4 {
  color: var(--text-color);
  border: none;
  font-size: 13pt !important;
  font-weight: 300 !important;
  margin-left: 0 !important;
  display: block;
  font-family: Roboto;
  text-transform: none; }

article h5 {
  color: var(--text-color);
  border: none;
  font-size: 12pt !important;
  font-family: Roboto;
  margin-left: 0 !important;
  display: block;
  font-weight: 300 !important;
  text-transform: none !important; }

p {
  font-size: 10pt;
  font-family: Roboto;
  color: var(--text-color);
  font-weight: 300; }

li {
  font-size: 10pt;
  font-family: Roboto;
  color: var(--text-color);
  font-weight: 300; }

article#doc-toc ul {
  margin-left: 0 !important; }

article#doc-toc h1 + ul:first-of-type > li:first-child > a {
  display: none; }

article#doc-toc li {
  margin-left: 0 !important;
  padding-left: 0 !important;
  border: none !important; }

article#doc-toc li > a {
  border: none !important;
  padding-top: 0; }

article#doc-toc li > a::after {
  font-size: 12px !important;
  font-weight: 300 !important; }

article#doc-toc li > a {
  font-size: 14px;
  font-weight: 700;
  color: var(--text-color); }

article#doc-toc li > ul > li {
  margin-bottom: 15px; }

article#doc-toc li > ul > li > ul > li {
  margin-bottom: 0; }

article#doc-toc li > ul > li > a {
  font-size: 14px;
  font-weight: 700;
  color: var(--text-color); }

article#doc-toc li > ul > li > ul > li > a {
  font-size: 12px;
  font-weight: 300;
  color: var(--text-color); }

article#doc-toc li > ul > li > ul > li > ul > li > a {
  font-size: 12px;
  font-weight: 300;
  color: var(--text-color); }

pre, code {
  font-size: 12pt; }

.md-content__inner > h1:first-child {
  visibility: hidden;
  padding-top: 130px; }

h1 + p,
h1 + p + p,
h1 + p + p + p,
h1 + p + p + p + p,
h1 + p + p + p + p + p,
h1 + p + p + p + p + p + p,
h1 + p + p + p + p + p + p + p,
h1 + p + p + p + p + p + p + p + p,
h1 + p + p + p + p + p + p + p + p + p {
  font-size: 10pt;
  font-family: Roboto;
  color: var(--text-color);
  font-weight: 300;
  text-align: center;
  display: block;
  margin-bottom: 20px; }

article.md-content__inner p {
  margin-left: 0;
  padding-left: 0; }

article.md-content__inner ul {
  margin-left: 10px; }
  article.md-content__inner ul li {
    margin-bottom: 5px !important;
    line-height: 18px; }

article.md-content__inner blockquote {
  background-color: #e7e7e7;
  color: var(--text-color);
  margin-left: 0;
  padding: 10px 20px;
  font-weight: 400; }
  article.md-content__inner blockquote > p {
    font-weight: 400;
    color: var(--text-color); }
    article.md-content__inner blockquote > p + p {
      font-weight: 300; }
</style><style>@media print {
  .md-typeset .tabbed-set {
    display: block; }
    .md-typeset .tabbed-set .tabbed-content--wrap {
      display: inline-block;
      width: 100%;
      margin-bottom: 0.25rem; }
      .md-typeset .tabbed-set .tabbed-content--wrap > input {
        display: none; }
      .md-typeset .tabbed-set .tabbed-content--wrap > label {
        background-color: rgba(170, 170, 170, 0.2);
        padding: 0.2rem 2rem;
        margin: 0;
        font-weight: 600;
        color: #666;
        border-radius: 3px 3px 0 0;
        border-bottom-color: transparent; }
      .md-typeset .tabbed-set .tabbed-content--wrap > .tabbed-content {
        display: block;
        box-shadow: none; }
  .md-typeset .admonition-title + .tabbed-set:last-child,
  .md-typeset summary + .tabbed-set:last-child {
    margin-top: 0.5rem; }
  .md-typeset > details summary::after {
    display: none; }
  .md-typeset > div, .md-typeset > div.admonition, .md-typeset > details, .md-typeset > div.tabbed-set, .md-typeset > blockquote, .md-typeset > mark, .md-typeset > table, .md-typeset > p {
    margin-left: 0.7rem; }
  .md-typeset > table.highlighttable {
    margin: 0 0 0 0.7rem; }
  .md-typeset table.highlighttable,
  .md-typeset table.highlighttable > tbody {
    width: 100%; }
  .md-typeset table.highlighttable {
    padding-bottom: 0.5em; }
    .md-typeset table.highlighttable .linenos {
      padding-bottom: 0; }
  .md-typeset > ul {
    margin-left: 1.5rem; }
  .md-typeset h4,
  .md-typeset h5,
  .md-typeset h6 {
    margin-left: 0.25rem; }
  .md-typeset *:not(h3) + h4 {
    margin-top: 1.5rem; }
  .md-typeset hr {
    border-bottom: 1px dotted #999; }
  .md-typeset .footnote {
    line-height: 1.1; }
  .md-typeset table:not([class]) th, .md-typeset table:not([class]) td {
    padding: 0.5em 1.25rem 0.4em; }
  .md-typeset table:not([class]) td {
    border-bottom: 1px solid #eee; }
  .md-typeset span.twemoji {
    vertical-align: middle;
    height: 1.125rem;
    display: inline-block; }
    .md-typeset span.twemoji > img {
      height: 1.125rem;
      vertical-align: middle;
      display: inline-block; } }
.md-typeset kbd {
  vertical-align: middle;
  border-color: #b8b8b8;
  border-style: outset;
  border-width: .05rem .075rem .1rem .075rem;
  border-radius: .25rem;
  box-shadow: none; }

:root {
  --print-md-admonition-icon--note: url('data:image/svg+xml;charset=utf-8,<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24" fill="%23448aff"><path d="M20.71 7.04c.39-.39.39-1.04 0-1.41l-2.34-2.34c-.37-.39-1.02-.39-1.41 0l-1.84 1.83 3.75 3.75M3 17.25V21h3.75L17.81 9.93l-3.75-3.75L3 17.25z"/></svg>');
  --print-md-admonition-icon--abstract: url('data:image/svg+xml;charset=utf-8,<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24" fill="%2300b0ff"><path d="M4 5h16v2H4V5m0 4h16v2H4V9m0 4h16v2H4v-2m0 4h10v2H4v-2z"/></svg>');
  --print-md-admonition-icon--info: url('data:image/svg+xml;charset=utf-8,<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24" fill="%2300b8d4"><path d="M13 9h-2V7h2m0 10h-2v-6h2m-1-9A10 10 0 002 12a10 10 0 0010 10 10 10 0 0010-10A10 10 0 0012 2z"/></svg>');
  --print-md-admonition-icon--tip: url('data:image/svg+xml;charset=utf-8,<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24" fill="%2300bfa5"><path d="M17.66 11.2c-.23-.3-.51-.56-.77-.82-.67-.6-1.43-1.03-2.07-1.66C13.33 7.26 13 4.85 13.95 3c-.95.23-1.78.75-2.49 1.32-2.59 2.08-3.61 5.75-2.39 8.9.04.1.08.2.08.33 0 .22-.15.42-.35.5-.23.1-.47.04-.66-.12a.58.58 0 01-.14-.17c-1.13-1.43-1.31-3.48-.55-5.12C5.78 10 4.87 12.3 5 14.47c.06.5.12 1 .29 1.5.14.6.41 1.2.71 1.73 1.08 1.73 2.95 2.97 4.96 3.22 2.14.27 4.43-.12 6.07-1.6 1.83-1.66 2.47-4.32 1.53-6.6l-.13-.26c-.21-.46-.77-1.26-.77-1.26m-3.16 6.3c-.28.24-.74.5-1.1.6-1.12.4-2.24-.16-2.9-.82 1.19-.28 1.9-1.16 2.11-2.05.17-.8-.15-1.46-.28-2.23-.12-.74-.1-1.37.17-2.06.19.38.39.76.63 1.06.77 1 1.98 1.44 2.24 2.8.04.14.06.28.06.43.03.82-.33 1.72-.93 2.27z"/></svg>');
  --print-md-admonition-icon--success: url('data:image/svg+xml;charset=utf-8,<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24" fill="%2300c853"><path d="M12 2C6.5 2 2 6.5 2 12s4.5 10 10 10 10-4.5 10-10S17.5 2 12 2m-2 15l-5-5 1.41-1.41L10 14.17l7.59-7.59L19 8l-9 9z"/></svg>');
  --print-md-admonition-icon--question: url('data:image/svg+xml;charset=utf-8,<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24" fill="%2364dd17"><path d="M15.07 11.25l-.9.92C13.45 12.89 13 13.5 13 15h-2v-.5c0-1.11.45-2.11 1.17-2.83l1.24-1.26c.37-.36.59-.86.59-1.41a2 2 0 00-2-2 2 2 0 00-2 2H8a4 4 0 014-4 4 4 0 014 4 3.2 3.2 0 01-.93 2.25M13 19h-2v-2h2M12 2A10 10 0 002 12a10 10 0 0010 10 10 10 0 0010-10c0-5.53-4.5-10-10-10z"/></svg>');
  --print-md-admonition-icon--warning: url('data:image/svg+xml;charset=utf-8,<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24" fill="%23ff9100"><path d="M13 14h-2V9h2m0 9h-2v-2h2M1 21h22L12 2 1 21z"/></svg>');
  --print-md-admonition-icon--failure: url('data:image/svg+xml;charset=utf-8,<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24" fill="%23ff5252"><path d="M12 2c5.53 0 10 4.47 10 10s-4.47 10-10 10S2 17.53 2 12 6.47 2 12 2m3.59 5L12 10.59 8.41 7 7 8.41 10.59 12 7 15.59 8.41 17 12 13.41 15.59 17 17 15.59 13.41 12 17 8.41 15.59 7z"/></svg>');
  --print-md-admonition-icon--danger: url('data:image/svg+xml;charset=utf-8,<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24" fill="%23ff1744"><path d="M11.5 20l4.86-9.73H13V4l-5 9.73h3.5V20M12 2c2.75 0 5.1 1 7.05 2.95C21 6.9 22 9.25 22 12s-1 5.1-2.95 7.05C17.1 21 14.75 22 12 22s-5.1-1-7.05-2.95C3 17.1 2 14.75 2 12s1-5.1 2.95-7.05C6.9 3 9.25 2 12 2z"/></svg>');
  --print-md-admonition-icon--bug: url('data:image/svg+xml;charset=utf-8,<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24" fill="%23f50057"><path d="M14 12h-4v-2h4m0 6h-4v-2h4m6-6h-2.81a5.985 5.985 0 00-1.82-1.96L17 4.41 15.59 3l-2.17 2.17a6.002 6.002 0 00-2.83 0L8.41 3 7 4.41l1.62 1.63C7.88 6.55 7.26 7.22 6.81 8H4v2h2.09c-.05.33-.09.66-.09 1v1H4v2h2v1c0 .34.04.67.09 1H4v2h2.81c1.04 1.79 2.97 3 5.19 3s4.15-1.21 5.19-3H20v-2h-2.09c.05-.33.09-.66.09-1v-1h2v-2h-2v-1c0-.34-.04-.67-.09-1H20V8z"/></svg>');
  --print-md-admonition-icon--example: url('data:image/svg+xml;charset=utf-8,<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24" fill="%23651fff"><path d="M7 13v-2h14v2H7m0 6v-2h14v2H7M7 7V5h14v2H7M3 8V5H2V4h2v4H3m-1 9v-1h3v4H2v-1h2v-.5H3v-1h1V17H2m2.25-7a.75.75 0 01.75.75c0 .2-.08.39-.21.52L3.12 13H5v1H2v-.92L4 11H2v-1h2.25z"/></svg>');
  --print-md-admonition-icon--quote: url('data:image/svg+xml;charset=utf-8,<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24" fill="%239e9e9e"><path d="M14 17h3l2-4V7h-6v6h3M6 17h3l2-4V7H5v6h3l-2 4z"/></svg>'); }

@media print {
  .md-typeset .admonition-title {
    padding: .6rem .6rem .4rem 2.2rem; }
  .md-typeset .admonition-title::before {
    margin-top: -0.15rem;
    background-color: transparent;
    background-image: var(--print-md-admonition-icon--note); }
  .md-typeset .note > .admonition-title, .md-typeset .note > summary {
    padding: .6rem .6rem .4rem 2.2rem; }
  .md-typeset .note > .admonition-title::before, .md-typeset .note > summary::before {
    margin-top: -0.15rem;
    background-color: transparent;
    background-image: var(--print-md-admonition-icon--note); }
  .md-typeset .abstract > .admonition-title, .md-typeset .tldr > .admonition-title, .md-typeset .summary > .admonition-title, .md-typeset .abstract > summary, .md-typeset .tldr > summary, .md-typeset .summary > summary {
    padding: .6rem .6rem .4rem 2.2rem; }
  .md-typeset .abstract > .admonition-title::before, .md-typeset .tldr > .admonition-title::before, .md-typeset .summary > .admonition-title::before, .md-typeset .abstract > summary::before, .md-typeset .tldr > summary::before, .md-typeset .summary > summary::before {
    margin-top: -0.15rem;
    background-color: transparent;
    background-image: var(--print-md-admonition-icon--abstract); }
  .md-typeset .info > .admonition-title, .md-typeset .todo > .admonition-title, .md-typeset .info > summary, .md-typeset .todo > summary {
    padding: .6rem .6rem .4rem 2.2rem; }
  .md-typeset .info > .admonition-title::before, .md-typeset .todo > .admonition-title::before, .md-typeset .info > summary::before, .md-typeset .todo > summary::before {
    margin-top: -0.15rem;
    background-color: transparent;
    background-image: var(--print-md-admonition-icon--info); }
  .md-typeset .tip > .admonition-title, .md-typeset .important > .admonition-title, .md-typeset .hint > .admonition-title, .md-typeset .tip > summary, .md-typeset .important > summary, .md-typeset .hint > summary {
    padding: .6rem .6rem .4rem 2.2rem; }
  .md-typeset .tip > .admonition-title::before, .md-typeset .important > .admonition-title::before, .md-typeset .hint > .admonition-title::before, .md-typeset .tip > summary::before, .md-typeset .important > summary::before, .md-typeset .hint > summary::before {
    margin-top: -0.15rem;
    background-color: transparent;
    background-image: var(--print-md-admonition-icon--tip); }
  .md-typeset .success > .admonition-title, .md-typeset .done > .admonition-title, .md-typeset .check > .admonition-title, .md-typeset .success > summary, .md-typeset .done > summary, .md-typeset .check > summary {
    padding: .6rem .6rem .4rem 2.2rem; }
  .md-typeset .success > .admonition-title::before, .md-typeset .done > .admonition-title::before, .md-typeset .check > .admonition-title::before, .md-typeset .success > summary::before, .md-typeset .done > summary::before, .md-typeset .check > summary::before {
    margin-top: -0.15rem;
    background-color: transparent;
    background-image: var(--print-md-admonition-icon--success); }
  .md-typeset .question > .admonition-title, .md-typeset .faq > .admonition-title, .md-typeset .help > .admonition-title, .md-typeset .question > summary, .md-typeset .faq > summary, .md-typeset .help > summary {
    padding: .6rem .6rem .4rem 2.2rem; }
  .md-typeset .question > .admonition-title::before, .md-typeset .faq > .admonition-title::before, .md-typeset .help > .admonition-title::before, .md-typeset .question > summary::before, .md-typeset .faq > summary::before, .md-typeset .help > summary::before {
    margin-top: -0.15rem;
    background-color: transparent;
    background-image: var(--print-md-admonition-icon--question); }
  .md-typeset .warning > .admonition-title, .md-typeset .attention > .admonition-title, .md-typeset .caution > .admonition-title, .md-typeset .warning > summary, .md-typeset .attention > summary, .md-typeset .caution > summary {
    padding: .6rem .6rem .4rem 2.2rem; }
  .md-typeset .warning > .admonition-title::before, .md-typeset .attention > .admonition-title::before, .md-typeset .caution > .admonition-title::before, .md-typeset .warning > summary::before, .md-typeset .attention > summary::before, .md-typeset .caution > summary::before {
    margin-top: -0.15rem;
    background-color: transparent;
    background-image: var(--print-md-admonition-icon--warning); }
  .md-typeset .failure > .admonition-title, .md-typeset .missing > .admonition-title, .md-typeset .fail > .admonition-title, .md-typeset .failure > summary, .md-typeset .missing > summary, .md-typeset .fail > summary {
    padding: .6rem .6rem .4rem 2.2rem; }
  .md-typeset .failure > .admonition-title::before, .md-typeset .missing > .admonition-title::before, .md-typeset .fail > .admonition-title::before, .md-typeset .failure > summary::before, .md-typeset .missing > summary::before, .md-typeset .fail > summary::before {
    margin-top: -0.15rem;
    background-color: transparent;
    background-image: var(--print-md-admonition-icon--failure); }
  .md-typeset .danger > .admonition-title, .md-typeset .error > .admonition-title, .md-typeset .danger > summary, .md-typeset .error > summary {
    padding: .6rem .6rem .4rem 2.2rem; }
  .md-typeset .danger > .admonition-title::before, .md-typeset .error > .admonition-title::before, .md-typeset .danger > summary::before, .md-typeset .error > summary::before {
    margin-top: -0.15rem;
    background-color: transparent;
    background-image: var(--print-md-admonition-icon--danger); }
  .md-typeset .bug > .admonition-title, .md-typeset .bug > summary {
    padding: .6rem .6rem .4rem 2.2rem; }
  .md-typeset .bug > .admonition-title::before, .md-typeset .bug > summary::before {
    margin-top: -0.15rem;
    background-color: transparent;
    background-image: var(--print-md-admonition-icon--bug); }
  .md-typeset .example > .admonition-title, .md-typeset .example > summary {
    padding: .6rem .6rem .4rem 2.2rem; }
  .md-typeset .example > .admonition-title::before, .md-typeset .example > summary::before {
    margin-top: -0.15rem;
    background-color: transparent;
    background-image: var(--print-md-admonition-icon--example); }
  .md-typeset .quote > .admonition-title, .md-typeset .cite > .admonition-title, .md-typeset .quote > summary, .md-typeset .cite > summary {
    padding: .6rem .6rem .4rem 2.2rem; }
  .md-typeset .quote > .admonition-title::before, .md-typeset .cite > .admonition-title::before, .md-typeset .quote > summary::before, .md-typeset .cite > summary::before {
    margin-top: -0.15rem;
    background-color: transparent;
    background-image: var(--print-md-admonition-icon--quote); } }

:root {
  --print-md-footnotes-icon: url('data:image/svg+xml;charset=utf-8,<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24" fill="%23000000de"><path d="M19 7v4H5.83l3.58-3.59L8 6l-6 6 6 6 1.41-1.42L5.83 13H21V7h-2z"/></svg>'); }

@media print {
  .md-typeset .footnote-backref::before {
    background-color: transparent;
    background-image: var(--print-md-footnotes-icon); } }

:root {
  --print-md-details-icon: url('data:image/svg+xml;charset=utf-8,<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24" fill="hsla(0, 0%, 0%, 0.87)"><path d="M8.59 16.58L13.17 12 8.59 7.41 10 6l6 6-6 6-1.41-1.42z"/></svg>'); }

@media print {
  .md-typeset summary::after {
    background-color: transparent;
    background-image: var(--print-md-details-icon);
    -webkit-mask-image: none;
    mask-image: none; } }

:root {
  --print-md-tasklist-icon: url('data:image/svg+xml;charset=utf-8,<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24" fill="%23ddd"><path d="M12 2C6.5 2 2 6.5 2 12s4.5 10 10 10 10-4.5 10-10S17.5 2 12 2m-2 15l-5-5 1.41-1.41L10 14.17l7.59-7.59L19 8l-9 9z"/></svg>');
  --print-md-tasklist-icon--checked: url('data:image/svg+xml;charset=utf-8,<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24" fill="%2300e676"><path d="M12 2C6.5 2 2 6.5 2 12s4.5 10 10 10 10-4.5 10-10S17.5 2 12 2m-2 15l-5-5 1.41-1.41L10 14.17l7.59-7.59L19 8l-9 9z"/></svg>'); }

@media print {
  .md-typeset .task-list-control .task-list-indicator::before {
    background-color: transparent;
    background-image: var(--print-md-tasklist-icon); }
  .md-typeset .task-list-control [type=checkbox]:checked + .task-list-indicator::before {
    background-color: transparent;
    background-image: var(--print-md-tasklist-icon--checked); } }

/*# sourceMappingURL=material-polyfills.css.map*/
</style></head><body>
<img alt="netTerrain 9.1" class="img-cover" src="file:///Users/martinkoen/Documents/Trabajos/Graphical Networks/MKDOCS/collector-guide-91/docs/material/assets/images/cover-image.jpg" style=""/>
<article id="doc-toc"><h1>Contents</h1><ul><li><a href="#.:netterrain-91-collector-guide">netTerrain 9.1 Collector Guide</a><ul><li><a href="#.:1-about-this-guide">1 ABOUT THIS GUIDE</a><ul><li><a href="#.:11-who-should-use-it">1.1 WHO SHOULD USE IT</a></li><li><a href="#.:12-assumptions">1.2 ASSUMPTIONS</a></li></ul></li><li><a href="#.:2-netterrain-collector-basics">2 NETTERRAIN COLLECTOR BASICS</a><ul><li><a href="#.:21-main-user-interface-components">2.1 MAIN USER INTERFACE COMPONENTS</a></li><li><a href="#.:22-installing-the-netterrain-collector">2.2 INSTALLING THE NETTERRAIN COLLECTOR</a></li><li><a href="#.:23-connecting-to-a-netterrain-server">2.3 CONNECTING TO A NETTERRAIN SERVER</a></li></ul></li><li><a href="#.:3-setting-up-connectors">3 SETTING UP CONNECTORS</a><ul><li><a href="#.:31-pre-defined-connectors-list">3.1 PRE-DEFINED CONNECTORS LIST</a></li><li><a href="#.:32-configuring-a-connector">3.2 CONFIGURING A CONNECTOR</a></li><li><a href="#.:322-advanced-settings">3.2.2 Advanced Settings</a></li><li><a href="#.:33-built-in-connectors">3.3 BUILT-IN CONNECTORS</a></li><li><a href="#.:331-aws">3.3.1 AWS</a></li><li><a href="#.:332-azure">3.3.2 Azure</a></li><li><a href="#.:333-nmap">3.3.3 NMAP</a></li><li><a href="#.:334-nsx-t">3.3.4 NSX-T</a></li><li><a href="#.:335-observium">3.3.5 Observium</a></li><li><a href="#.:336-phpipam">3.3.6 phpIPAM</a></li><li><a href="#.:337-servicenow">3.3.7 ServiceNow</a></li><li><a href="#.:338-solarwinds">3.3.8 SolarWinds</a></li><li><a href="#.:339-spectrum">3.3.9 Spectrum</a></li><li><a href="#.:3310-vcenter">3.3.10 Vcenter</a></li><li><a href="#.:3311-velocity">3.3.11 Velocity</a></li><li><a href="#.:3312-zoho">3.3.12 Zoho</a></li></ul></li><li><a href="#.:4-setting-up-native-discovery">4 SETTING UP NATIVE DISCOVERY</a><ul><li><a href="#.:41-snmp">4.1 SNMP</a></li><li><a href="#.:411-snmp-accessibility-and-security">4.1.1 SNMP accessibility and security</a></li><li><a href="#.:412-built-in-mibs">4.1.2 Built-in MIBs</a></li><li><a href="#.:4121-system-mibs">4.1.2.1 System MIBs</a></li><li><a href="#.:4122-interface-mibs">4.1.2.2 Interface MIBs</a></li><li><a href="#.:4123-ip-address-table-and-routing-table-mibs">4.1.2.3 IP address table and routing table MIBs</a></li><li><a href="#.:413-setting-ip-addresses-and-ranges">4.1.3 Setting IP addresses and ranges</a></li><li><a href="#.:4131-importing-ip-addresses-from-a-file">4.1.3.1 Importing IP addresses from a file</a></li><li><a href="#.:414-using-ip-seed-discovery">4.1.4 Using IP seed discovery</a></li><li><a href="#.:415-advanced-snmp-settings">4.1.5 Advanced SNMP settings</a></li><li><a href="#.:4151-snmp-entities">4.1.5.1 SNMP entities</a></li><li><a href="#.:4152-snmp-global-settings">4.1.5.2 SNMP Global settings</a></li><li><a href="#.:4153-snmp-connectivity">4.1.5.3 SNMP connectivity</a></li><li><a href="#.:4154-advanced-xml-file-configuration">4.1.5.4 Advanced XML file configuration</a></li><li><a href="#.:42-wmi-and-ping">4.2 WMI AND PING</a></li><li><a href="#.:421-wmi">4.2.1 WMI</a></li><li><a href="#.:4211-ping">4.2.1.1 Ping</a></li></ul></li><li><a href="#.:5-discovery-and-reconciliation">5 DISCOVERY AND RECONCILIATION</a><ul><li><a href="#.:51-scanning">5.1 SCANNING</a></li><li><a href="#.:511-manual-scanning">5.1.1 Manual scanning</a></li><li><a href="#.:512-automatic-scanning">5.1.2 Automatic scanning</a></li><li><a href="#.:52-pushing-data-to-netterrain">5.2 PUSHING DATA TO NETTERRAIN</a></li><li><a href="#.:521-data-reconciliation-process">5.2.1 Data reconciliation process</a></li><li><a href="#.:522-modifying-default-actions">5.2.2 Modifying default actions</a></li><li><a href="#.:523-object-matching-parameters">5.2.3 Object matching parameters</a></li><li><a href="#.:524-preventing-deletes-with-low-record-counts">5.2.4 Preventing deletes with low record counts</a></li><li><a href="#.:53-automating-the-process">5.3 AUTOMATING THE PROCESS</a></li><li><a href="#.:531-setting-up-the-scheduler">5.3.1 Setting up the scheduler</a></li><li><a href="#.:532-setting-up-the-poller">5.3.2 Setting up the poller</a></li><li><a href="#.:54-settings-and-other-features">5.4 SETTINGS AND OTHER FEATURES</a></li><li><a href="#.:541-saving-and-loading-existing-data-and-configurations">5.4.1 Saving and loading existing data and configurations</a></li><li><a href="#.:542-namespace">5.4.2 Namespace</a></li><li><a href="#.:543-user-settings">5.4.3 User settings</a></li><li><a href="#.:544-flushing-data">5.4.4 Flushing Data</a></li><li><a href="#.:545-logs">5.4.5 Logs</a></li></ul></li></ul></li></ul></article><article class="md-content__inner md-typeset" data-url="/." id=".:">
<h1 id=".:netterrain-91-collector-guide">netTerrain 9.1 Collector Guide</h1>
<p>Powered by</p>
<p>© 2022 Graphical Networks LLC. All rights reserved.</p>
<p>Our "keep the lawyers happy" disclaimer: Graphical Networks and netTerrain are registered
trademarks of Graphical Networks LLC. Other product names mentioned in this manual may be
trademarks or registered trademarks of their respective companies and are hereby
acknowledged.<br/>
This document was created with 100% recycled electrons.<br/>
Before printing, careful with that PC load letter.</p>
<p>Image:  Belgium Hallerbos Forest.</p>
<p>Graphical Networks LLC<br/>
Telephone: + 1 - 240 - 912 - 6223<br/>
Fax: +1- 240 - 912 - 6339 (We still use these to accept your purchase orders)</p>
<div style="page-break-after: always;"></div>
<h2 id=".:1-about-this-guide">1 ABOUT THIS GUIDE</h2>
<h3 id=".:11-who-should-use-it">1.1 WHO SHOULD USE IT</h3>
<p>The netTerrain collector is an automation engine used to discover network devices or import
data into the main netTerrain application from external sources. It is a thick-client application
that can be installed as a service on the netTerrain application server or on a separate machine.</p>
<p>This guide is intended for advanced netTerrain users or administrators that want to automate
the data entry into process and populate netTerrain on a one-time or regular basis by setting up
discovery processes or creating and managing connectors to external systems. In short, geeks
like us.</p>
<h3 id=".:12-assumptions">1.2 ASSUMPTIONS</h3>
<p>This guide assumes basic knowledge of database queries, Microsoft Office tools and netTerrain
end-user and power-user functions.</p>
<p>Discovery functions may require the user to have knowledge about WMI, SNMP and the
Management Information Base (MIB) structure.</p>
<h2 id=".:2-netterrain-collector-basics">2 NETTERRAIN COLLECTOR BASICS</h2>
<p>The netTerrain collector is an automation engine that can help minimize the manual data-entry
process by collecting data from the network or other systems. It is a thick client application,
usually residing on the netTerrain server, that can discover networks and devices, as well as
import and reconcile assets from a variety of third-party systems via so-called connectors
usually importing the data with RESTful APIs. As such it is an add-on for netTerrain Logical,
netTerrain DCIM and netTerrain OSP to aid in the population of network diagrams.</p>
<p>The network discovery engine takes advantage of a variety of protocols to pull data natively from
the network, including:</p>
<p><strong>SNMP</strong></p>
<ul>
<li>SNMPv2c</li>
<li>SNMPv</li>
<li>WMI</li>
<li>netTerrain’s Environmental Monitoring tool which uses IPMI and other protocols</li>
<li>Ping</li>
<li>HTTP Basic Web Monitoring</li>
</ul>
<p>Some of the objects the collector can discover include network devices (routers, switches,
servers, etc.), port information, layer 3 network connectivity, layer 2 link connectivity, VLAN
information as well as properties from public and private MIBs.</p>
<p>The WMI discovery tool can discover hardware and software characteristics from WMI enabled
devices.</p>
<p>In addition, you can import asset information into netTerrain from a variety of commercial IT
management products using one of our many pre-defined connectors.</p>
<h3 id=".:21-main-user-interface-components">2.1 MAIN USER INTERFACE COMPONENTS</h3>
<p>The netTerrain Collector is a thick client application with a simple User Interface (UI) that makes
it easy to import data into netTerrain.</p>
<p><img alt="" src="file:///Users/martinkoen/Documents/Trabajos/Graphical%20Networks/MKDOCS/collector-guide-91/docs/site/assets/images/image3.png" style="">
<em>Connectors list</em></img></p>
<p>The UI includes two main views: the connectors list, which acts as the main view that is
displayed when the user first launches the collector, and the discovered items. The main view
displays a list of all the connectors (including discovery).</p>
<p>Discovered items can be accessed by clicking on the 'Discovered Items' button. This view, in
turn, shows all the elements discovered by any connectors that were previously configured.</p>
<p><img alt="" src="file:///Users/martinkoen/Documents/Trabajos/Graphical%20Networks/MKDOCS/collector-guide-91/docs/site/assets/images/image4.png" style=""/></p>
<p><em>Discovered items</em></p>
<h3 id=".:22-installing-the-netterrain-collector">2.2 INSTALLING THE NETTERRAIN COLLECTOR</h3>
<p>The netTerrain collector can be operated from the netTerrain server or from any remote machine
connected to the network. To obtain the collector, you download it directly from netTerrain by
logging into the application as an end user. Head over to the tools ribbon and click on 'Utilities'-</p>
<blockquote>
<p>Collector.</p>
</blockquote>
<p>This will start the collector download process. Once the download is complete, click on Open (or
run the executable).</p>
<p>Proceed to click on 'Next', accept the lovely terms and conditions and all the usual stuff.</p>
<p>Once the installation is complete you can launch the application and start the discovery process.</p>
<p>In case of issues, if you contact Graphical Networks support we may request the netTerrain
Collector version number which can obtained by clicking on the Help button.</p>
<p><img alt="" src="file:///Users/martinkoen/Documents/Trabajos/Graphical%20Networks/MKDOCS/collector-guide-91/docs/site/assets/images/image8.png" style=""/></p>
<p><em>About dialog</em></p>
<h3 id=".:23-connecting-to-a-netterrain-server">2.3 CONNECTING TO A NETTERRAIN SERVER</h3>
<p>To get started with the collector it is recommended that you first connect it to a netTerrain
server instance. Although this is not mandatory, since the collector can work in offline mode, we
recommend setting this up right away so that you can push any discovered data to netTerrain.</p>
<p>Click the “netTerrain Server” button on the top left and copy and paste your netTerrain URL in the
designated space. If you are using the netTerrain cloud server then the URL of your instance may
be pre-populated. You will just need to supply a user and password.</p>
<p>Test connection to make sure the credentials are correct.</p>
<h2 id=".:3-setting-up-connectors">3 SETTING UP CONNECTORS</h2>
<p>The netTerrain collector comes equipped with a list of pre-defined connectors to other
commercial products.</p>
<p>Since the netTerrain collector includes mechanisms to discover the network directly, such as
SNMP or WMI, we tend to distinguish the native discovery processes from the connectors to
third-party products, but technically speaking, they are all connectors. However, in this chapter,
we will focus on connectors to third-party systems. Native discovery connectors such as SNMP
will be reviewed in the next chapter.</p>
<h3 id=".:31-pre-defined-connectors-list">3.1 PRE-DEFINED CONNECTORS LIST</h3>
<p>To view the list of all connectors, click on the connectors button. This will display a list of all the
current connectors included with the collector, which let you import data from the following
systems:</p>
<ul>
<li>Amazon AWS</li>
<li>Microsoft Azure</li>
<li>Nmap</li>
<li>NSX-T</li>
<li>Observium</li>
<li>phpIPAM</li>
<li>Service Now</li>
<li>Solarwinds Orion NPM</li>
<li>CA Spectrum</li>
<li>VMware VCenter</li>
<li>Velocity Software</li>
<li>Zoho</li>
</ul>
<h3 id=".:32-configuring-a-connector">3.2 CONFIGURING A CONNECTOR</h3>
<p>Below we will briefly review each specific connector, but in general terms, the configuration
process is pretty much the same for all connectors. As an example, we will configure the
VCenter connector.</p>
<p>3.2.1 Main credentials and API endpoints</p>
<p>To configure a connector from the connectors list, simply click on the gear icon on the right. This
will open a dialog to start the configuration process.</p>
<p><img alt="" src="file:///Users/martinkoen/Documents/Trabajos/Graphical%20Networks/MKDOCS/collector-guide-91/docs/site/assets/images/image11.png" style=""/></p>
<p><em>Connector settings dialog</em></p>
<p>Most connectors will require credentials such as a user and password, to extract data from the
source. Also, if the connector imports data from the third-party system via REST APIs, you will
have to supply a REST API endpoint. You can also edit the endpoint by clicking on the ellipsis
button. Some connectors may require other parameters such as a key.</p>
<p>Once you edited the credentials you can test the connection to the system by clicking on the 'Test connection' button.</p>
<h3 id=".:322-advanced-settings">3.2.2 Advanced Settings</h3>
<p>All connectors include an 'Advanced' button with additional settings to fine-tune the import
process. The advanced dialog includes additional settings to help you fine-tune the import
process from the third-party system into netTerrain</p>
<p><img alt="" src="file:///Users/martinkoen/Documents/Trabajos/Graphical%20Networks/MKDOCS/collector-guide-91/docs/site/assets/images/image12.png" style=""/></p>
<p><em>Advanced connector settings for VCenter</em></p>
<p>In the case of the VCenter connector (above) we can see that there are several rows listing
different entity names, such as folder and host. These are so-called sub connectors or entities</p>
<p>associated with VCenter and you can specify in a granular fashion which ones you want to
discover or synchronize with objects in netTerrain. If you don't want a certain entity name to be
discovered, you uncheck it from the enabled column. The specification of how you want to map
an entity with netTerrain is done through the TypeMapping button.</p>
<p>You can limit the overall import behavior by excluding certain entities from an upload. Usually,
you would do this when you want to discover the entity and simply check it out in the collector
without uploading any of the data to the netTerrain server.</p>
<p>In addition, you can choose to import the entity data into the netTerrain database as raw tables,
without synching it up with netTerrain nodes or links. This could be useful when you need to
have the entity data in the netTerrain database, for example, to then map it to the Integration
Toolkit or to create a dashboard report with the raw data, without having to also replicate the
information as nodes or links in netTerrain.</p>
<p>All connector configuration data is ultimately stored in an XML file. Advanced users may want to
configure the connector by editing the XML file directly. These files do contain some additional
power-user settings to fine-tune the connectors.</p>
<h3 id=".:33-built-in-connectors">3.3 BUILT-IN CONNECTORS</h3>
<p>To view the list of all connectors, click on the connectors button. This will display all the current
connectors included with the collector, which let you import data from an ever-growing list ofcommercial systems</p>
<h3 id=".:331-aws">3.3.1 AWS</h3>
<p>Amazon Web Services (AWS) provides on-demand cloud computing platforms and APIs to
individuals, companies, and governments, on a metered pay-as-you-go basis. AWS includes
several monitoring tools, which can be consumed from an external platform via the AWS API set.</p>
<p>The AWS connector can pull information from an AWS account and its associated regions,
instances and a host of associated data. To connect to your AWS account, you must provide:</p>
<ul>
<li>Region</li>
<li>Access key</li>
<li>Secret key</li>
</ul>
<p><img alt="" src="file:///Users/martinkoen/Documents/Trabajos/Graphical%20Networks/MKDOCS/collector-guide-91/docs/site/assets/images/image13.png" style=""/></p>
<p><em>AWS login</em></p>
<p>After testing the connection successfully, you can specify which entity names need to be imported into netTerrain by using the advanced settings. Currently the AWS connector can pull data for the following entities:</p>
<ul>
<li>Elastic IPs</li>
<li>Images</li>
<li>Image snapshot links</li>
<li>Instance group links</li>
<li>Instance network interface links</li>
<li>Instances</li>
<li>Instance volume links</li>
<li>Internet gateways</li>
<li>Internet gateway VPC links</li>
<li>NAT gateways</li>
<li>
<p>Network ACLs</p>
</li>
<li>
<p>Network ACL subnet links</p>
</li>
<li>Network interfaces</li>
<li>Policies</li>
<li>Roles</li>
<li>S3 buckets</li>
<li>Security groups</li>
<li>Snapshots</li>
<li>Subnets</li>
<li>Users</li>
<li>Volumes</li>
<li>VPCs</li>
</ul>
<p><img alt="" src="file:///Users/martinkoen/Documents/Trabajos/Graphical%20Networks/MKDOCS/collector-guide-91/docs/site/assets/images/image14.png" style=""/></p>
<p><em>AWS advanced connector settings</em></p>
<h3 id=".:332-azure">3.3.2 Azure</h3>
<p>Microsoft Azure, commonly referred to as Azure, is a cloud computing service created by Microsoft for building, testing, deploying, and managing applications and services through Microsoft-managed data centers.</p>
<p>The Azure connector can pull information from an Azure account and its associated servers, resources and more. To connect to your Azure account, you must provide:</p>
<ul>
<li>Subscription Id</li>
<li>Tenant Id</li>
<li>Client Id</li>
<li>Client secret key</li>
</ul>
<p><img alt="" src="file:///Users/martinkoen/Documents/Trabajos/Graphical%20Networks/MKDOCS/collector-guide-91/docs/site/assets/images/image15.png" style=""/></p>
<p><em>Azure login information</em></p>
<p>After testing the connection successfully, you can specify which entity names need to be imported into netTerrain by using the advanced settings. Currently the connector can pull data for the following entities:</p>
<ul>
<li>Network security groups</li>
<li>Network security rules</li>
<li>Resource groups</li>
<li>Resources</li>
<li>SQL Servers</li>
<li>Subscriptions</li>
<li>Virtual machines</li>
<li>VM disks</li>
</ul>
<p><img alt="" src="file:///Users/martinkoen/Documents/Trabajos/Graphical%20Networks/MKDOCS/collector-guide-91/docs/site/assets/images/image16.png" style=""/></p>
<p><em>Azure advanced connector settings</em></p>
<h3 id=".:333-nmap">3.3.3 NMAP</h3>
<p>Nmap is used to discover hosts and services on a computer network by sending packets and analyzing the responses. Nmap provides several features for probing computer networks, including host discovery and service and operating system detection.</p>
<p>The NMAP connector can pull information that is synched up with an NMAP installation. To utilize the NMAP connector, point the Collector to the NMAP.exe file. The default location is typically C:\Program Files (x86)\Nmap\NMAP.exe. Also, it may be necessary to confirm that Npcap is installed.</p>
<p><img alt="" src="file:///Users/martinkoen/Documents/Trabajos/Graphical%20Networks/MKDOCS/collector-guide-91/docs/site/assets/images/image17.png" style=""/></p>
<p><em>NMAP connector settings</em></p>
<p>Once the Collector is pointing to the proper NMAP.exe file, use the IP Ranges tab to configure IP address ranges used for discovery. This works in a similar fashion as the collector's native SNMP discovery.</p>
<p>You can add IP ranges manually or import them from a text file. When importing from a text file make sure the IP addresses are properly configured by adding one address per line.</p>
<p><img alt="" src="file:///Users/martinkoen/Documents/Trabajos/Graphical%20Networks/MKDOCS/collector-guide-91/docs/site/assets/images/image18.png" style=""/></p>
<p><em>NMAP IP Ranges dialog</em></p>
<p>You can add as many IP ranges as you want and use the enable/disable options to filter out specific IP ranges for a given discovery cycle.</p>
<p>Currently the NMAP connector can pull data for the following entities:</p>
<ul>
<li>Devices</li>
<li>Software ports</li>
</ul>
<p><img alt="" src="file:///Users/martinkoen/Documents/Trabajos/Graphical%20Networks/MKDOCS/collector-guide-91/docs/site/assets/images/image19.png" style=""/></p>
<p><em>NMAP advanced connector settings</em></p>
<h3 id=".:334-nsx-t">3.3.4 NSX-T</h3>
<p>VMware NSX-T Data Center provides an agile software-defined infrastructure to build cloud-native application environments. NSX-T Data Center supports cloud-native applications, bare metal workloads, multi-hypervisor environments, public clouds, and multiple clouds.</p>
<p>The NSX-T connector can pull information from a VMware NSX-T account and its associated resources. This connector uses the classic REST-API endpoint pull approach where it connects to your account via a user, a password, and a REST endpoint.</p>
<p><img alt="" src="file:///Users/martinkoen/Documents/Trabajos/Graphical%20Networks/MKDOCS/collector-guide-91/docs/site/assets/images/image20.png" style=""/></p>
<p><em>NSX-T connection information</em></p>
<p>After testing the connection successfully, you can specify which entity names need to be imported into netTerrain by using the advanced settings. Currently the connector can pull data for the following entities:</p>
<ul>
<li>Logical ports</li>
<li>Logical routers T0</li>
<li>Logical routers T 1</li>
<li>Logical switches</li>
<li>Node capabilities</li>
<li>Node interfaces</li>
<li>Nodes</li>
<li>Vifs</li>
<li>Virtual machines</li>
</ul>
<p><img alt="" src="file:///Users/martinkoen/Documents/Trabajos/Graphical%20Networks/MKDOCS/collector-guide-91/docs/site/assets/images/image21.png" style=""/></p>
<p><em>NSX-T advanced connector settings</em></p>
<h3 id=".:335-observium">3.3.5 Observium</h3>
<p>Observium is a network monitoring platform supporting the auto-discovery of device types, platforms and operating systems.</p>
<p>The Observium connector can pull information from an Observium account using the classic REST-API pull approach where it connects to your account via a user, a password, and a REST endpoint.</p>
<p><img alt="" src="file:///Users/martinkoen/Documents/Trabajos/Graphical%20Networks/MKDOCS/collector-guide-91/docs/site/assets/images/image22.png" style=""/></p>
<p><em>Observium connection information</em></p>
<p>After testing the connection successfully, you can specify which entity names need to be imported into netTerrain by using the advanced settings. Currently the connector can pull data for devices only.</p>
<p><img alt="" src="file:///Users/martinkoen/Documents/Trabajos/Graphical%20Networks/MKDOCS/collector-guide-91/docs/site/assets/images/image23.png" style=""/></p>
<p><em>Observium advanced connector settings</em></p>
<h3 id=".:336-phpipam">3.3.6 phpIPAM</h3>
<p>phpIPAM is an open-source web IP address management application (IPAM).</p>
<p>The phpIPAM connector can pull information from a phpIPAM account using the classic REST-API pull approach where it connects to your account via a user, a password, and a REST endpoint.</p>
<p><img alt="" src="file:///Users/martinkoen/Documents/Trabajos/Graphical%20Networks/MKDOCS/collector-guide-91/docs/site/assets/images/image24.png" style=""/></p>
<p><em>phpIPAM connection information</em></p>
<p>After testing the connection successfully, you can specify which entity names need to be imported into netTerrain by using the advanced settings. Currently the connector can pull data for the following entities:</p>
<ul>
<li>Admins</li>
<li>Addresses</li>
<li>Devices</li>
<li>L 2 domains</li>
<li>Sections</li>
<li>Subnets</li>
<li>Tags</li>
<li>Users</li>
<li>VLans</li>
<li>VRFSs</li>
</ul>
<p><img alt="" src="file:///Users/martinkoen/Documents/Trabajos/Graphical%20Networks/MKDOCS/collector-guide-91/docs/site/assets/images/image25.png" style=""/></p>
<p><em>phpIPAM advanced connector settings</em></p>
<h3 id=".:337-servicenow">3.3.7 ServiceNow</h3>
<p>ServiceNow is a cloud computing platform to help companies manage digital workflows for enterprise operations.</p>
<p>The ServiceNow connector can pull information from an account using the classic REST-API pull approach where it connects to your account via a user, a password, and a REST endpoint.</p>
<p><img alt="" src="file:///Users/martinkoen/Documents/Trabajos/Graphical%20Networks/MKDOCS/collector-guide-91/docs/site/assets/images/image26.png" style=""/></p>
<p><em>ServiceNow connection information</em></p>
<p>After testing the connection successfully, you can specify which entity names need to be imported into netTerrain by using the advanced settings. Currently the connector can pull data for the following entities:</p>
<ul>
<li>Application</li>
<li>BigIp</li>
<li>Circuit</li>
<li>CMDB</li>
<li>Computer room AC</li>
<li>Hardware</li>
<li>IP device</li>
<li>IP firewall</li>
<li>IP phone</li>
<li>IP router</li>
<li>Netscaler</li>
<li>Outlet</li>
<li>Servers full</li>
<li>Stock room</li>
<li>UC warranty</li>
<li>UC warranty support level</li>
<li>Users brief</li>
<li>Warranty</li>
</ul>
<p><img alt="" src="file:///Users/martinkoen/Documents/Trabajos/Graphical%20Networks/MKDOCS/collector-guide-91/docs/site/assets/images/image27.png" style=""/></p>
<p><em>ServiceNow advanced connector settings</em></p>
<h3 id=".:338-solarwinds">3.3.8 SolarWinds</h3>
<p>SolarWinds develops software for businesses to help manage networks, systems, and
information technology infrastructure. The Network Performance Monitor (NPM) platform is used by companies to discover and monitor computer networks.</p>
<p>The SolarWinds connector for NPM can pull information from a SolarWinds instance using the classic REST-API pull approach where it connects to your account via a user, a password, and a REST endpoint.</p>
<p><img alt="" src="file:///Users/martinkoen/Documents/Trabajos/Graphical%20Networks/MKDOCS/collector-guide-91/docs/site/assets/images/image28.png" style=""/></p>
<p><em>SolarWinds connection information</em></p>
<p>After testing the connection successfully, you can specify which entity names need to be imported into netTerrain by using the advanced settings. Currently the connector can pull data for the following entities:</p>
<ul>
<li>Connections</li>
<li>Nodes</li>
</ul>
<p><img alt="" src="file:///Users/martinkoen/Documents/Trabajos/Graphical%20Networks/MKDOCS/collector-guide-91/docs/site/assets/images/image29.png" style=""/></p>
<p><em>SolarWinds advanced connector settings</em></p>
<h3 id=".:339-spectrum">3.3.9 Spectrum</h3>
<p>CA Spectrum delivers technologies that automate device discovery and root cause analysis,
speeding issue detection and remediation.</p>
<p>The Spectrum connector can pull information from a Spectrum instance using the classic REST-API pull approach where it connects to your account via a user, a password, and a REST endpoint.</p>
<p><em>Spectrum connection information</em></p>
<p>After testing the connection successfully, you can specify which entity names need to be imported into netTerrain by using the advanced settings. Currently the connector can pull data for the following entities:</p>
<ul>
<li>Connectivity</li>
<li>Device</li>
<li>Landscape</li>
</ul>
<p><img alt="" src="file:///Users/martinkoen/Documents/Trabajos/Graphical%20Networks/MKDOCS/collector-guide-91/docs/site/assets/images/image31.png" style=""/></p>
<p><em>Spectrum advanced connector settings</em></p>
<h3 id=".:3310-vcenter">3.3.10 Vcenter</h3>
<p>vCenter Server is the centralized management utility for VMware, and is used to manage virtual machines, multiple ESXi hosts, and all dependent components from a single centralized
location.</p>
<p>The VCenter connector can pull information from a VCenter instance using the classic REST-API pull approach where it connects to your account via a user, a password, and a REST endpoint.</p>
<p><img alt="" src="file:///Users/martinkoen/Documents/Trabajos/Graphical%20Networks/MKDOCS/collector-guide-91/docs/site/assets/images/image11.png" style=""/></p>
<p><em>VCenter connection information</em></p>
<p>After testing the connection successfully, you can specify which entity names need to be imported into netTerrain by using the advanced settings. Currently the connector can pull data for the following entities:</p>
<ul>
<li>Folder</li>
<li>Host</li>
<li>Host port group</li>
<li>Host port group port</li>
<li>Image</li>
<li>Network</li>
<li>VCenter</li>
<li>Virtual switch</li>
<li>VM</li>
<li>VM_Disk</li>
<li>VM_Network Card</li>
<li>VM_Nic</li>
</ul>
<p><img alt="" src="file:///Users/martinkoen/Documents/Trabajos/Graphical%20Networks/MKDOCS/collector-guide-91/docs/site/assets/images/image12.png" style=""/></p>
<p><em>VCenter advanced connector settings</em></p>
<h3 id=".:3311-velocity">3.3.11 Velocity</h3>
<p>The Velocity connector can pull device information from a Velocity instance using the classic
REST-API pull approach where it connects to your account via a user, a password, and a REST
endpoint.</p>
<p><img alt="" src="file:///Users/martinkoen/Documents/Trabajos/Graphical%20Networks/MKDOCS/collector-guide-91/docs/site/assets/images/image32.png" style=""/></p>
<p><em>Velocity connection information</em></p>
<p>After testing the connection successfully, you can specify which entity names need to be
imported into netTerrain by using the advanced settings. Currently the connector can pull data
for devices only.</p>
<h3 id=".:3312-zoho">3.3.12 Zoho</h3>
<p>Zoho CRM is a cloud-based CRM system that is used by corporations to manage their sales
pipeline as well as marketing initiatives, support and more.</p>
<p>The Zoho connector can pull device information from a Velocity instance using a RESTAPI
interface where it connects to your account via the following parameters:</p>
<ul>
<li>Client Id</li>
<li>Client secret</li>
<li>User email</li>
<li>Grant token</li>
</ul>
<p><img alt="" src="file:///Users/martinkoen/Documents/Trabajos/Graphical%20Networks/MKDOCS/collector-guide-91/docs/site/assets/images/image33.png" style=""/></p>
<p><em>Zoho connection information</em></p>
<p>After testing the connection successfully, you can specify which entity names need to be imported into netTerrain by using the advanced settings. Currently the connector can pull data for:</p>
<ul>
<li>Accounts</li>
<li>Calls</li>
<li>Contacts</li>
<li>Deals</li>
<li>Leads</li>
</ul>
<p><img alt="" src="file:///Users/martinkoen/Documents/Trabajos/Graphical%20Networks/MKDOCS/collector-guide-91/docs/site/assets/images/image34.png" style=""/></p>
<p><em>Zoho advanced connector settings</em></p>
<h2 id=".:4-setting-up-native-discovery">4 SETTING UP NATIVE DISCOVERY</h2>
<p>Along with connectors, the collector also includes a native discovery engine, currently supporting
the following methods or protocols:</p>
<ul>
<li>SNMP</li>
<li>Environmental monitoring (netTerrain EM)</li>
<li>Ping</li>
<li>WMI</li>
<li>Web</li>
</ul>
<p>Strictly speaking, these methods are also configured and listed like the connectors described in
previous chapters, but instead of relying on third-party systems to collect the data, they gather
the information directly from the network (the only exception perhaps, being the EM method,
which relies on the netTerrain Environmental Module).</p>
<p>In the following paragraphs we will provide the basics for setting up native discovery and review
each method.</p>
<h3 id=".:41-snmp">4.1 SNMP</h3>
<p>The Native SNMP auto-discovery module can discover devices from the network, by polling the
device management IP addresses. It will then discover properties from those devices using a
predefined list of so-called ‘MIB’ (Management Information Base) variables. This component
supports all standard SNMP versions:</p>
<ul>
<li>SNMPv1</li>
<li>SNMPv2c</li>
<li>SNMPv3.</li>
</ul>
<p>Via SNMP, the collector can discover the following device related information:</p>
<ul>
<li>Standard System MIB properties</li>
<li>Any custom (public or private) MIB, which can be mapped to any custom field in
    netTerrain</li>
<li>Interface information, including status, reading from the MIB interface table</li>
<li>Layer 3 links (via IP address and routing tables)</li>
<li>Layer 2 links (via interface and bridge tables, ARP, CDP and LLDP)</li>
<li>Up/down status for devices (this also uses Ping as a primary method, along with
    SNMP System get as a backup method)</li>
</ul>
<p>Once devices are discovered, this module behaves much like a device connector in the sense
that it maps the discovered elements with devices in netTerrain. As described in the introduction
to the chapter, the SNMP method also has a predefined connector listed in the connector list
and is called ‘SNMP’. This connector can also be scheduled for automatic discovery and
reconciliation, just like any other connector.</p>
<p><img alt="" src="file:///Users/martinkoen/Documents/Trabajos/Graphical%20Networks/MKDOCS/collector-guide-91/docs/site/assets/images/image35.png" style=""/></p>
<p><em>Native SNMP discovery as part of the connectors list</em></p>
<h3 id=".:411-snmp-accessibility-and-security">4.1.1 SNMP accessibility and security</h3>
<p>A device is considered discoverable when the following is true:</p>
<ul>
<li>The IP address provided to the collector is the management IP address of the
    device</li>
<li>SNMP is enabled on the device</li>
<li>The device is, in principle, reachable (such as being on the same network and
    responding to an SNMP get request)</li>
<li>The credentials associated with the IP address are correct</li>
</ul>
<p>SNMP provides a layer of security in its latest version 3. SNMP version 1 and 2 have no security,
except for a so-called 'community string', which is a simple string that needs to be provided
along with the management IP address.</p>
<p>SNMP version 3 provides additional security features compared to SNMPv1 and v2s:</p>
<ul>
<li>A user identifier</li>
<li>Authentication of the user who sent the PDU. The authentication protocols include SHA
    and MD5.</li>
<li>Encryption of protocol data units (PDUs) to prevent unauthorized users from viewing the
    contents. SNMPv3 supports AES and DES for encryption.</li>
<li>A context string parameter</li>
</ul>
<p>As with SNMPv1 and v2c, each IP address or range can have its own SNMPv3 parameters.
Depending on the security settings for the range in question, you can set the flags that define
which security features are needed.</p>
<h3 id=".:412-built-in-mibs">4.1.2 Built-in MIBs</h3>
<p>The foundation of an SNMP-based management system is a database containing information
about the objects in the network to be queried. This database is referred to as the Management
Information Base (MIB) and each resource to be managed in that database is an object. The MIB</p>
<p>then is a structured collection of objects in the form of a tree. Associated with each object in the
tree is an object identifier (OID) which follows a notation (Abstract Syntax Notation 1 or ASN.1)
consisting of a set of integers separated by dots. The figure below illustrates part of the MIB- 2
structure.</p>
<p><img alt="" src="file:///Users/martinkoen/Documents/Trabajos/Graphical%20Networks/MKDOCS/collector-guide-91/docs/site/assets/images/image36.png" style=""/></p>
<p><em>MIB-2 structure</em></p>
<p>The Native SNMP discovery uses the following OID prefixes (leafs depicted in red above):</p>
<ul>
<li>System group (OID 1.3.6.1.2.1.1): they obtain basic device information.</li>
<li>Interface group (OID 1.3.6.1.2.1.2): they obtain basic interface (port) information. This
    data can be automatically mapped to the ports defined for a given type in the netTerrain
    catalog.</li>
<li>IP address group (OID 1.3.6.1.2.1.4): they comprise the IP address and routing table
    MIBs to obtain layer 3 link information between devices.</li>
</ul>
<h3 id=".:4121-system-mibs">4.1.2.1 System MIBs</h3>
<p>The system MIBs that are currently supported include the list below (we also include the ASN.1
definition for each):</p>
<ul>
<li>sysName: “An administratively-assigned name for this managed node. By convention,
    this is the node's fully-qualified domain name”.</li>
<li>ipAddress</li>
<li>sysObjectId: “The vendor's authoritative identification of the network management
    subsystem contained in the entity. This value is allocated within the SMI enterprises
    subtree (1.3.6.1.4.1) and provides an easy and unambiguous means for determining
    'what kind of box' is being managed”.</li>
<li>sysUpTime: “The time (in hundredths of a second) since the network management
    portion of the system was last re-initialized”.</li>
<li>sysContact: “The textual identification of the contact person for this managed node,
    together with information on how to contact this person”.</li>
<li>sysDescr: “A textual description of the entity. This value should include the full name and
    version identification of the system's hardware type, software operating-system, and
    networking software. It is mandatory that this only contain printable ASCII characters”.</li>
<li>sysLocation: “The physical location of this node”.</li>
<li>sysServices: “The value which indicates the set of services that this entity primarily
    offers. The value is a sum. This sum initially takes the value zero, Then, for each layer, L,
    in the range 1 through 7, that this node performs transactions for, 2 raised to (L - 1) is
    added to the sum. For example, a node which performs primarily routing functions would
    have a value of 4 (2^(3-1)). In contrast, a node which is a host offering application
    services would have a value of 72 (2^(4-1) + 2^(7-1))”.</li>
<li>ifNumber: “The number of network interfaces (regardless of their current state) present
    on this system”.</li>
</ul>
<h3 id=".:4122-interface-mibs">4.1.2.2 Interface MIBs</h3>
<p>When port monitoring is enabled, the collector can discover interface properties for devices
using the interfaces group MIB. The properties that can be monitored include:</p>
<ul>
<li>ifDescr: “Textual string containing information about the interface. This string should
    include the name of the manufacturer, the product name and the version of the hardware
    interface”.</li>
<li>ifType: “The type of interface, distinguished according to the physical/link protocol(s)
    immediately `below' the network layer in the protocol stack”.</li>
<li>ifSpeed: “An estimate of the interface's current bandwidth in bits per second. For
    interfaces which do not vary in bandwidth or for those where no accurate estimation can
    be made, this object should contain the nominal bandwidth”.</li>
<li>ifPhysAddress: “The interface's address at the protocol layer immediately `below' the
    network layer in the protocol stack. For interfaces which do not have such an address
    (e.g., a serial line), this object should contain an octet string of zero length.</li>
<li>ifAdminStatus: “The desired state of the interface”.</li>
<li>ifOperStatus: “The current operational state of the interface”.</li>
<li>ifLastChange: “The value of sysUpTime at the time the interface entered its current
    operational state. If the current state was entered prior to the last re-initialization of the
    local network management subsystem, then this object contains a zero value”.</li>
</ul>
<p>Of special interest are the ifAdminStatus and ifOperStatus, which can be used to represent
status values in netTerrain and be used as a visual override to change the port colors. Possible
values for these parameters are:</p>
<ul>
<li>up (1)</li>
<li>down (2)</li>
<li>testing (3)</li>
</ul>
<h3 id=".:4123-ip-address-table-and-routing-table-mibs">4.1.2.3 IP address table and routing table MIBs</h3>
<p>When link monitoring is enabled, the collector can discover layer-3 topology for routers or
devices that store routing table information in the IP group MIBs. Discovered links will include
the following properties:</p>
<ul>
<li>
<p>ipRouteDest: “The destination IP address of this route. An entry with a value of 0.0.0.0 is
    considered a default route. Multiple routes to a single destination can appear in the
table, but access to such multiple entries is dependent on the table-access mechanisms
defined by the network management protocol in use”.</p>
</li>
<li>
<p>ipRouteAge: “The number of seconds since this route was last updated or otherwise
    determined to be correct”.</p>
</li>
<li>ipRouteMask: “Indicate the mask to be logical-ANDed with the destination address
    before being compared to the value in the ipRouteDest field”.</li>
<li>ipRouteIfIndex: “Index value which uniquely identifies the local interface through which
    the next hop of this route should be reached. The interface identified by a particular
    value of this index is the same interface as identified by the same value of ifIndex”.</li>
<li>ipRouteMetric1: “Primary routing metric for this route. The semantics of this metric are
    determined by the routing-protocol specified in the route's ipRouteProto value. If this
    metric is not used, its value should be set to - 1 ”.</li>
<li>ipRouteNextHop: “IP address of the next hop of this route”.</li>
<li>ipRouteType: “Type of route”.</li>
<li>ipRouteProto: “Routing mechanism via which this route was learned”.</li>
</ul>
<p>The ipRouteType is an integer value with the following translation table:</p>
<ul>
<li>1: other</li>
<li>2: invalid</li>
<li>3: direct</li>
<li>4: indirect</li>
</ul>
<p>The collector will store the actual integer value for each route and append the string value when
it reconciles the routes as links in netTerrain.</p>
<p>The ipRouteProto is an integer value with the following translation table:</p>
<ul>
<li>1: other</li>
<li>2: local</li>
<li>3: netmgmt</li>
<li>4: icmp</li>
<li>5: egp</li>
<li>
<p>6: ggp</p>
</li>
<li>
<p>7: hello</p>
</li>
<li>8: rip</li>
<li>9: is-is</li>
<li>10: es-is</li>
<li>11: ciscoIgrp</li>
<li>12: bbnSpflgp</li>
<li>13: ospf</li>
<li>14: bgp</li>
</ul>
<h3 id=".:413-setting-ip-addresses-and-ranges">4.1.3 Setting IP addresses and ranges</h3>
<p>The first step in setting up SNMP discovery involves the creation of IP address ranges (or single
IP addresses) in the connector settings dialog. This is necessary because the SNMP scanning
process requires an IP address management to discover the devices. As mentioned before, the
Collector supports SNMPv1, SNMPv2, and SNMPv3.</p>
<p>To insert the IP addresses in the settings, open the settings dialog for the SNMP connector.</p>
<p><img alt="" src="file:///Users/martinkoen/Documents/Trabajos/Graphical%20Networks/MKDOCS/collector-guide-91/docs/site/assets/images/image37.png" style=""/></p>
<p><em>Connector settings to enter IP addresses</em></p>
<p>IP address ranges can be added manually or imported from a file. To add them manually, enter
one at a time making sure the 'From IP' and 'To IP' fields are properly formatted to an IP address</p>
<p>(without the CIDR notation). If a given entry has the same value for both fields, then you are
effectively entering a single IP address, which is totally valid.
Once a range is entered, a new row is automatically generated for new entries. To delete an
entry, simply click on the 'X' button. You can remove all entries with the 'Remove All' button.
Warning aside, use with caution!</p>
<p>If you don't want a specific range or address to be scanned during a cycle, you can uncheck it
from the 'Enabled' box. This comes in handy when you want to run a discovery against a smaller
set of IP addresses without having to remove the remaining addresses from the list. You can
enable or disable all addresses with the 'Enable/disable All' button.</p>
<p>The SNMP version can be changed under the 'Version' drop down. The community strings for
SNMP can be entered in the 'Credentials' section. By default, the community string is 'public'.</p>
<h3 id=".:4131-importing-ip-addresses-from-a-file">4.1.3.1 Importing IP addresses from a file</h3>
<p>Individual, or groups of IP address ranges can be entered by importing them from a file. A
sample of the formatting is provided below:</p>
<p><img alt="" src="file:///Users/martinkoen/Documents/Trabajos/Graphical%20Networks/MKDOCS/collector-guide-91/docs/site/assets/images/image38.png" style=""/></p>
<p><em>Sample IP file upload</em></p>
<p>All properties used for each range, including credential data for SNMPv2 and v3 can be included
in the spreadsheet. Credential information is encrypted in the collector but notice that to enter it
from the spreadsheet itself, it needs to be provided in clear text, so it is highly recommended
that you delete the file after using it for the import process.</p>
<p>Once you have the file handy, import it into the collector by clicking on the 'Import from file'
button. After you select the (properly formatted) file, IP addresses will be displayed on the IP
address range table for further editing.</p>
<p><img alt="" src="file:///Users/martinkoen/Documents/Trabajos/Graphical%20Networks/MKDOCS/collector-guide-91/docs/site/assets/images/image39.png" style=""/></p>
<p><em>Importing IP addresses from a file</em></p>
<h3 id=".:414-using-ip-seed-discovery">4.1.4 Using IP seed discovery</h3>
<p>The default method for discovering devices is to scan all enabled ranges one at a time. A second
method for discovering devices is to set one individual IP address as a so-called 'seed'. When an
IP address is set as a seed, the collector starts the discovery process with that specific device,
and then tries to "crawl" the network by inspecting other existing IP addresses configured on
that device.</p>
<p>The seed discovery process can be configured from the 'Advanced' dialog to include specific
means to crawl the network, including the crawling depth and methods.</p>
<p><img alt="" src="file:///Users/martinkoen/Documents/Trabajos/Graphical%20Networks/MKDOCS/collector-guide-91/docs/site/assets/images/image40.png" style=""/></p>
<p><em>Seed discovery settings</em></p>
<p>The crawling depth refers to the number of "jumps" (hops, or layers) the collector must traverse
until it considers the discovery process exhausted. The larger the depth, the longer it takes to
process the discovery. While any of the discovery branches that originated from the original
seed has not been exhausted, the collector will try to keep discovering new devices as long as
the IP addresses discovered from the previous node correspond to actual management IP
addresses of new devices and said devices can be accessed.</p>
<p>A sufficiently large depth may ensure that you discover your entire network. This is so, because
the collector will prevent getting into any loops and eventually IP addresses start repeating
themselves, and/or you run out of new IP address to discover.</p>
<p>The crawling methods are the different IP address tables that the collector can use to find new
potential IP addresses to discover. These must come from each discovered node and include
the following:</p>
<ul>
<li>Routing tables: the layer 3 table stored in routers to enable IP packet forwarding</li>
<li>CDP tables: Cisco specific layer 2 tables used to forward packets from one edge
    to the next</li>
<li>LLDP tables: CDP-like layer 2 forwarding tables</li>
</ul>
<p>We recommend keeping the default settings for a crawling process in case seed discovery is to
be used.</p>
<blockquote>
<p>Attention!</p>
<p>You can only have one IP address entry set for seed discovery, and said entry needs to consist of a single IP address ('From IP' and 'To IP' must coincide).</p>
</blockquote>
<h3 id=".:415-advanced-snmp-settings">4.1.5 Advanced SNMP settings</h3>
<p>For more specific settings the 'Advanced connector settings' dialog includes three tabs to fine
tune your SNMP discovery processes.</p>
<p><img alt="" src="file:///Users/martinkoen/Documents/Trabajos/Graphical%20Networks/MKDOCS/collector-guide-91/docs/site/assets/images/image41.png" style=""/></p>
<p><em>Advanced SNMP Settings</em></p>
<h3 id=".:4151-snmp-entities">4.1.5.1 SNMP entities</h3>
<p>The sub connectors settings tab lets you control the granularity of the information you will be
retrieving from the network by letting you specify which entities to enable, upload and map,
including:</p>
<ul>
<li>Devices</li>
<li>Connections</li>
<li>Ports</li>
<li>Vlans</li>
</ul>
<h3 id=".:4152-snmp-global-settings">4.1.5.2 SNMP Global settings</h3>
<p>This tab controls general SNMP discovery parameters like the timeout associated with a Get
command, the number of threads used for the discovery, and the method used for SNMPv3
discovery.</p>
<p>In this tab, as described in the seed discovery sub chapter, you can control the parameters for a
seed discovery process, such as the crawling depth and methods.</p>
<h3 id=".:4153-snmp-connectivity">4.1.5.3 SNMP connectivity</h3>
<p>The last tab controls the granularity of the link information you will be retrieving from the
network.</p>
<p>When the Layer 2 option is checked, the collector will scan one or more layer 2 table data for the
managed device to determine what layer 2 links were configured for that particular device.
netTerrain will then display these links as lines between that device and the endpoints.
Layer 2 table options include:</p>
<ul>
<li>Bridge and ARP tables, pulled from the ARP and bridge MIB data</li>
<li>CDP /LLDP tables</li>
</ul>
<p>If you want layer 2 information to be discovered, we recommend having all options checked.</p>
<p>When the Layer 3 option is checked, the collector will scan IP address tables and routing tables
for the managed device to determine what routes were configured for that particular device.
netTerrain will then display these routes as layer 3 links between that device and the endpoints.</p>
<p>The Vlan section lets you check whether Vlans should be discovered or not. When checked, any
Vlans associated with ports will be displayed as table reports in netTerrain associated with said
ports.</p>
<h3 id=".:4154-advanced-xml-file-configuration">4.1.5.4 Advanced XML file configuration</h3>
<p>Additional advanced features can be fine-tuned from the XML file associated with the SNMP
connector by clicking on the 'Open XML file' button.</p>
<p><img alt="" src="file:///Users/martinkoen/Documents/Trabajos/Graphical%20Networks/MKDOCS/collector-guide-91/docs/site/assets/images/image42.png" style=""/></p>
<p><em>SNMP XML File</em></p>
<p>The file lets you manually map entities, fields and other advanced parameters.</p>
<h3 id=".:42-wmi-and-ping">4.2 WMI AND PING</h3>
<p>Windows Management Instrumentation (WMI) consists of a set of extensions to the Windows
Driver Model that provides an operating system interface through which instrumented
components provide information and notification. Through WMI devices allow management
information to be shared between management applications.</p>
<p>Ping operates by sending Internet Control Message Protocol (ICMP) echo request packets to the
target host and waiting for an ICMP echo reply. netTerrain can represent objects discovered via
an ICMP request as generic nodes.</p>
<p>WMI and Ping are additional methods supplied to enhance your native discovery processes. In
both cases, for the methods to work, target devices need to have WMI and/or ping enabled.</p>
<h3 id=".:421-wmi">4.2.1 WMI</h3>
<p>WMI is mostly used to discover and import windows server properties into netTerrain. To use
WMI discovery you first have to enable the feature on the target servers. To enable WMI go to
administrative tools→services and find the windows management instrumentation feature. You
will need to start it as a service.</p>
<p>Once enabled, proceed to insert the target IP addresses in the settings dialog, which you can
open from the WMI connector settings button.</p>
<p>IP address ranges can be added manually or imported from a file. To add them manually, enter
one at a time making sure the 'From IP' and 'To IP' fields are properly formatted to an IP address
(without the CIDR notation). If a given entry has the same value for both fields, then you are
effectively entering a single IP address, which is totally valid.
Once a range is entered, a new row is automatically generated for new entries. To delete an
entry, simply click on the 'X' button. You can remove all entries with the 'Remove All' button.
Warning aside, use with caution!</p>
<p>If you don't want a specific range or address to be scanned during a cycle, you can uncheck it
from the 'Enabled' box. This comes in handy when you want to run a discovery against a smaller
set of IP addresses without having to remove the remaining addresses from the list. You can
enable or disable all addresses with the 'Enable/disable All' button.</p>
<p>Additional security settings for the WMI discovery process can be entered for each row by
clicking on the 'advanced configuration' button.</p>
<p><img alt="" src="file:///Users/martinkoen/Documents/Trabajos/Graphical%20Networks/MKDOCS/collector-guide-91/docs/site/assets/images/image43.png" style=""/></p>
<p><em>IP range credentials for WMI</em></p>
<p>A WMI test can be performed from the WMI Test tab, providing the collector with your target
server host, user and password parameters.</p>
<p>After setting up the WMI IP ranges and credentials, you can specify which entity names need to be discovered and imported into netTerrain by using the advanced settings. Currently the WMI connector can pull data for the following entities:</p>
<p>BIOS</p>
<ul>
<li>Disk</li>
<li>Memory</li>
<li>IO</li>
<li>Process</li>
<li>Processor</li>
<li>System</li>
<li>System enclosure</li>
</ul>
<p><img alt="" src="file:///Users/martinkoen/Documents/Trabajos/Graphical%20Networks/MKDOCS/collector-guide-91/docs/site/assets/images/image44.png" style=""/></p>
<p><em>WMI advanced connector settings</em></p>
<h3 id=".:4211-ping">4.2.1.1 Ping</h3>
<p>The ping connector simply checks for host connectivity using an ICMP request to the host. Just
like with SNMP or WMI, add the appropriate IP ranges using the connector settings dialog.</p>
<p><img alt="" src="file:///Users/martinkoen/Documents/Trabajos/Graphical%20Networks/MKDOCS/collector-guide-91/docs/site/assets/images/image45.png" style=""/></p>
<p>In the settings tab, max ping attempts, ping timeout, and time to live settings can be changed
from its default values. Additionally, a quick ping test can be performed to check for host
connectivity.</p>
<p><img alt="" src="file:///Users/martinkoen/Documents/Trabajos/Graphical%20Networks/MKDOCS/collector-guide-91/docs/site/assets/images/image46.png" style=""/></p>
<p><em>Ping settings</em></p>
<h2 id=".:5-discovery-and-reconciliation">5 DISCOVERY AND RECONCILIATION</h2>
<p>In this chapter we will go over the scanning (discovery) and netTerrain reconciliation process,
along with all the related settings and actions associated with that, such as flushing the data,
logging, additional settings and more.</p>
<h3 id=".:51-scanning">5.1 SCANNING</h3>
<p>Scanning is the process of running a discovery for each enabled connector. including the native
discovery connectors. During this process, the collector connects to the third-party sources or
the network and attempts to discover data from said sources to bring it into the collector as raw
data. This process does not include the reconciliation of discovered data into netTerrain. The
latter is done during the so-called 'Pushy', which we will review later.</p>
<p>This scan is quite straightforward and can be done in manual fashion or automatically.</p>
<h3 id=".:511-manual-scanning">5.1.1 Manual scanning</h3>
<p>To manually scan the network all you do is click on the 'Scan' button from the main toolbar.</p>
<p><img alt="" src="file:///Users/martinkoen/Documents/Trabajos/Graphical%20Networks/MKDOCS/collector-guide-91/docs/site/assets/images/image47.png" style=""/></p>
<p><em>Manual scanning</em></p>
<p>After pressing the scan button, the collector will start a discovery process for each connector
that is enabled in your connectors list.</p>
<blockquote>
<p>Attention!</p>
<p>A new scan will wipe out all the existing discovered items in the collector. To be clear, no items
are deleted from netTerrain itself, just the raw data appearing in the collector interface is flushed
and then rediscovered when you start the scan.</p>
</blockquote>
<p><img alt="" src="file:///Users/martinkoen/Documents/Trabajos/Graphical%20Networks/MKDOCS/collector-guide-91/docs/site/assets/images/image48.png" style=""/></p>
<p><em>Scanning process</em></p>
<p>The collector shows the discovery progress on the command window and logs every call and
progress milestone in the daily log file (more on that below).</p>
<p>When the discovery process is complete, click on the 'Discovered Items' button to view all the
records associated with each connector and sub connector that ran during the process.</p>
<p><img alt="" src="file:///Users/martinkoen/Documents/Trabajos/Graphical%20Networks/MKDOCS/collector-guide-91/docs/site/assets/images/image49.png" style=""/></p>
<p><em>Discovered items</em></p>
<h3 id=".:512-automatic-scanning">5.1.2 Automatic scanning</h3>
<p>Not much to explain here: scans can be automated by running the collector as a service. We will
review the process of setting that up properly later in the guide, but all you need to know is that
on a scheduled basis, an automated scan goes down the list of enabled connectors just as it
would in a manual process.</p>
<h3 id=".:52-pushing-data-to-netterrain">5.2 PUSHING DATA TO NETTERRAIN</h3>
<p>The scan process reviewed above discovers the data from the network or third-party data
sources and brings it into the collector as raw records. However, a scan does not reconcile any
data with existing netTerrain diagrams. The latter is accomplished with a push.</p>
<h3 id=".:521-data-reconciliation-process">5.2.1 Data reconciliation process</h3>
<p>The data push is the process the collector goes through to reconcile discovered data with
existing nodes and links in netTerrain by sending the data from the collector to netTerrain and
comparing what was discovered in the latest cycle with what exists in your netTerrain project.</p>
<p>The reconciliation of the data refers to the following three actions, which by default are set to
true:</p>
<ul>
<li>Inserts: any newly discovered records that do not exist in netTerrain will be inserted as
    new objects</li>
<li>Updates: any properties that changed for discovered objects already existing in
    netTerrain will be updated in netTerrain accordingly</li>
<li>Deletes: any objects that exit in netTerrain and no longer exist in the original source will
    be deleted in netTerrain</li>
</ul>
<p>To start a push process, simply click on the 'Push' button on the toolbar and the collector will go
over each enabled connector and push the data to netTerrain. When the collector is set as a
service and running the discovery process in automated fashion a push occurs automatically as
long as the 'Push data to netTerrain' setting is se to true (more on that later).</p>
<p><img alt="" src="file:///Users/martinkoen/Documents/Trabajos/Graphical%20Networks/MKDOCS/collector-guide-91/docs/site/assets/images/image50.png" style=""/></p>
<p><em>Starting a push process</em></p>
<h3 id=".:522-modifying-default-actions">5.2.2 Modifying default actions</h3>
<p>It is possible to change the default behavior of the push actions on a connector basis by editing
the XML file of a given connector. Click on the 'Open XML file' button to open the XML file that
represents the connector settings.</p>
<p><img alt="" src="file:///Users/martinkoen/Documents/Trabajos/Graphical%20Networks/MKDOCS/collector-guide-91/docs/site/assets/images/image51.png" style=""/></p>
<p><em>Advanced reconciliation configuration using the XML file</em></p>
<p>In the XML, find the 'Reconciliation' section and proceed to edit each entry as needed.</p>
<p><img alt="" src="file:///Users/martinkoen/Documents/Trabajos/Graphical%20Networks/MKDOCS/collector-guide-91/docs/site/assets/images/image52.png" style=""/></p>
<p><em>Reconciliation settings</em></p>
<h3 id=".:523-object-matching-parameters">5.2.3 Object matching parameters</h3>
<p>During a push process the collector needs to somehow match up discovered records with
existing objects in netTerrain. It does that by selecting a key field from the source and matching
it up with the Name field in netTerrain.</p>
<p>In addition, the XML configuration file lets you map the entity, parent names and fields from the
source with a type, parent object and custom fields in netTerrain.</p>
<h3 id=".:524-preventing-deletes-with-low-record-counts">5.2.4 Preventing deletes with low record counts</h3>
<p>It is possible that for some reason (such as a connectivity issue) the collector finds zero (or low
count) records for a given connector. If you have the DeleteObjects parameter set to true, the
collector will delete all records associated with the connector when it shouldn't. To prevent that,
you can use the ' DeleteIfCountMoreOrEqualThan' parameter in the XML by setting it to 1 (or
some value greater than zero.</p>
<h3 id=".:53-automating-the-process">5.3 AUTOMATING THE PROCESS</h3>
<p>The entire process described in the previous sections can be automated so that it runs in the
background, without a user having to manually start the discovery and reconciliation every time
data needs to be synchronized between the sources and netTerrain.</p>
<h3 id=".:531-setting-up-the-scheduler">5.3.1 Setting up the scheduler</h3>
<p>An automated process requires the collector to run the so-called scheduler. The scheduler itself
is triggered in the system when the collector runs a service, so to set up the collector as a
service, first make sure you start the collector as an administrator.</p>
<p><img alt="" src="file:///Users/martinkoen/Documents/Trabajos/Graphical%20Networks/MKDOCS/collector-guide-91/docs/site/assets/images/image53.png" style=""/></p>
<p><em>Running the collector as an administrator</em></p>
<p>Proceed to click on the settings-&gt;scheduler button, which will open the scheduler dialog. The
scheduler deals with the frequency of the insert/update/delete process that reconciles the data
between the data source and netTerrain</p>
<p><img alt="" src="file:///Users/martinkoen/Documents/Trabajos/Graphical%20Networks/MKDOCS/collector-guide-91/docs/site/assets/images/image54.png" style=""/></p>
<p><em>Scheduler dialog</em></p>
<p>Then click on the 'Install Collector Service' button to install the collector as a service on your
computer or server. Then proceed to set the scheduler parameters, such as the cycle and the
start day and time.</p>
<p>You can set the scheduler to run immediately upon activation, or to only start on a cycle every
“X” hours or days. If you click the ‘Run Discovery right now’ option, the netTerrain Collector will
start immediately after you click on the ‘Start Scheduler’ button. This automated process will
cycle through all enabled connectors and run a discovery from the source. If the 'Push data to
netTerrain' is checked, then for each connector the scheduler will push the data to netTerrain
immediately after each scan cycle finished.</p>
<blockquote>
<p>Tip:</p>
<p>It is recommended to set the discovery cycle to a value that is high (such as 24 hours) to avoid
excessive load and/or network traffic. In general configuration data does not change often
enough to require a refresh on the netTerrain inventory in real-time or near real-time. In many
cases it is not even necessary to automate the discovery since a manual process can be
triggered once a day or even once a week.</p>
</blockquote>
<h3 id=".:532-setting-up-the-poller">5.3.2 Setting up the poller</h3>
<p>The poller deals with the frequency of state information (status) update for devices that have
already been imported into netTerrain and that exist in the original data source.</p>
<p>To set up the poller click on Settings-&gt; Poller. From the poller dialog you can set up the cycle (in
seconds), the number of retries per connector, and other native discovery parameters such as
timeouts and values used for status.</p>
<p><img alt="" src="file:///Users/martinkoen/Documents/Trabajos/Graphical%20Networks/MKDOCS/collector-guide-91/docs/site/assets/images/image55.png" style=""/></p>
<p><em>Polling Settings</em></p>
<p>Once enabled, the Collector will poll currently discovered devices. By default, devices will be
assigned the “Online’ and “Offline” status. This can be modified by changing the “Value used for
status ‘up/down’ sections.</p>
<h3 id=".:54-settings-and-other-features">5.4 SETTINGS AND OTHER FEATURES</h3>
<p>From the Settings button you can load and save previously discovered data and connector
configurations. You can also open the connector XML folders, configure the scheduler and poller
(as seen previously) and change the namespace and user settings.</p>
<p>We have already seen how to work with the scheduler and poller so in the following sections we
will review the rest of the options and features.</p>
<p><img alt="" src="file:///Users/martinkoen/Documents/Trabajos/Graphical%20Networks/MKDOCS/collector-guide-91/docs/site/assets/images/image56.png" style=""/></p>
<p><em>Settings Tab</em></p>
<h3 id=".:541-saving-and-loading-existing-data-and-configurations">5.4.1 Saving and loading existing data and configurations</h3>
<p>After you configure a connector or run a scan you can save the configuration data or discovered
data to a Json file. You can load previously discovered data and configurations as well.</p>
<p>Saving and loading configurations comes in handy when, for instance, multiple connectors are
used for a discovery setup. It may be easier to first configure one connector, then save the
settings to a local file. From there, the file can be used to load common settings across other
connectors.</p>
<p>Saving data is useful for testing purposes or when you need to run the discovery on an isolated
network and then perhaps send it to another collector that can connect to netTerrain for a data
push.</p>
<p><img alt="" src="file:///Users/martinkoen/Documents/Trabajos/Graphical%20Networks/MKDOCS/collector-guide-91/docs/site/assets/images/image57.png" style=""/></p>
<p><em>Loading existing data from a Json file</em></p>
<p>The steps to load and save configurations and data are quite self-explanatory. It is important to
note that both configuration and data reside in Json files and as such it may be a bit confusing
to know which one is which. The good news is that the collector detects if you are trying to load,
say configuration data, but the file you selected was a data dump instead. The collector will ask
you if you want to proceed and load the file correctly, regardless of whether it is connector
configuration or discovery data.</p>
<h3 id=".:542-namespace">5.4.2 Namespace</h3>
<p>The namespace displays the current host name by default. If needed, the namespace of the
Collector can be changed in the “Namespace settings” tab.</p>
<p><img alt="" src="file:///Users/martinkoen/Documents/Trabajos/Graphical%20Networks/MKDOCS/collector-guide-91/docs/site/assets/images/image58.png" style=""/></p>
<p><em>Namespace Settings</em></p>
<p>This comes in handy when you want to run the collector in different isolated networks that may
reuse the same IP addresses. Using different namespaces in those cases allows you to run and
push the data safely into one netTerrain instance.</p>
<h3 id=".:543-user-settings">5.4.3 User settings</h3>
<p>The appearance of the Collector can be modified using skins. This changes the background, tab,
icons, and text colors matching a specific theme, akin to the themes you can set up in
netTerrain. As of now, the four options are dark, light, rainbow dark, and rainbow light and they
can be changed by opening the user settings dialog.</p>
<p><img alt="" src="file:///Users/martinkoen/Documents/Trabajos/Graphical%20Networks/MKDOCS/collector-guide-91/docs/site/assets/images/image60.png" style=""/></p>
<p><em>User settings</em></p>
<h3 id=".:544-flushing-data">5.4.4 Flushing Data</h3>
<p>In some cases, you may want to remove all the existing discovered records from the collector, by
flushing the data. This can be easily done by clicking on the 'Flush data' button.</p>
<p><img alt="" src="file:///Users/martinkoen/Documents/Trabajos/Graphical%20Networks/MKDOCS/collector-guide-91/docs/site/assets/images/image61.png" style=""/></p>
<blockquote>
<p>Attention!</p>
<p>By flushing the data, you are simply removing the raw data displayed in the collector. The act of flushing the data does not remove anything from your netTerrain project.</p>
</blockquote>
<h3 id=".:545-logs">5.4.5 Logs</h3>
<p>The collector displays the main activities happening at any time in the command window.
However, all this activity and more are also logged in text files. Any activations of the colector,
exceptions, discovery, push actions, scheduled and polled data as well as other events are
logged in a series of files located in the Logs subfolder under the CollectorConsole folder that
resides in the netTerrain local app data installation.</p>
<p>netTerrain creates a daily log for all activities and all the log text files are preserved in the logs
folder until an administrator actively removes the files from the folder.</p>
<p>The Logs button provides several options:</p>
<ul>
<li>Open application logs: opens the current daily log using your default text editor</li>
<li>Clear application log: clears the current daily log (not the log history of previous days)</li>
<li>Open Logs location: opens the folder that contains all logs</li>
<li>Log level setting: let's you change the verbosity of your log</li>
</ul>
<p><img alt="" src="file:///Users/martinkoen/Documents/Trabajos/Graphical%20Networks/MKDOCS/collector-guide-91/docs/site/assets/images/image62.png" style=""/></p>
<p><em>Logs menu</em></p>
</article></body></html>
